<?php
/**Load Interface BaseMessages
 *
 * @package miniorange-order-notifications-woocommerce/objects
 */

namespace WCSMSOTP\Objects;

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

if ( ! class_exists( 'BaseMessages' ) ) {
	/**
	 * This is the constant class which lists all the texts
	 * that need to be supported for the Base Messages.
	 */
	class BaseMessages {

		const NEED_TO_REGISTER       = 'NEED_TO_REGISTER';
		const INVALID_SCRIPTS        = 'INVALID_SCRIPTS';
		const OTP_SENT_PHONE         = 'OTP_SENT_PHONE';
		const OTP_SENT_EMAIL         = 'OTP_SENT_EMAIL';
		const ERROR_OTP_EMAIL        = 'ERROR_OTP_EMAIL';
		const ERROR_OTP_PHONE        = 'ERROR_OTP_PHONE';
		const ERROR_PHONE_FORMAT     = 'ERROR_PHONE_FORMAT';
		const ERROR_EMAIL_FORMAT     = 'ERROR_EMAIL_FORMAT';
		const CHOOSE_METHOD          = 'CHOOSE_METHOD';
		const PLEASE_VALIDATE        = 'PLEASE_VALIDATE';
		const REGISTER_WITH_US       = 'REGISTER_WITH_US';
		const ACTIVATE_PLUGIN        = 'ACTIVATE_PLUGIN';
		const ERROR_PHONE_BLOCKED    = 'ERROR_PHONE_BLOCKED';
		const ERROR_EMAIL_BLOCKED    = 'ERROR_EMAIL_BLOCKED';
		const FORM_NOT_AVAIL_HEAD    = 'FORM_NOT_AVAIL_HEAD';
		const FORM_NOT_AVAIL_BODY    = 'FORM_NOT_AVAIL_BODY';
		const WC_GUEST_CHECKOUT_HEAD = 'WC_GUEST_CHECKOUT_HEAD';
		const WC_GUEST_CHECKOUT_BODY = 'WC_GUEST_CHECKOUT_BODY';
		const SUPPORT_FORM_VALUES    = 'SUPPORT_FORM_VALUES';
		const SUPPORT_FORM_SENT      = 'SUPPORT_FORM_SENT';
		const SUPPORT_FORM_ERROR     = 'SUPPORT_FORM_ERROR';
		const FEEDBACK_SENT          = 'FEEDBACK_SENT';
		const FEEDBACK_ERROR         = 'FEEDBACK_ERROR';
		const SETTINGS_SAVED         = 'SETTINGS_SAVED';
		const REG_ERROR              = 'REG_ERROR';
		const MSG_TEMPLATE_SAVED     = 'MSG_TEMPLATE_SAVED';
		const SMS_TEMPLATE_SAVED     = 'SMS_TEMPLATE_SAVED';
		const SMS_TEMPLATE_ERROR     = 'SMS_TEMPLATE_ERROR';
		const EMAIL_TEMPLATE_SAVED   = 'EMAIL_TEMPLATE_SAVED';
		const CUSTOM_MSG_SENT        = 'CUSTOM_MSG_SENT';
		const CUSTOM_MSG_SENT_FAIL   = 'CUSTOM_MSG_SENT_FAIL';
		const EXTRA_SETTINGS_SAVED   = 'EXTRA_SETTINGS_SAVED';
		const EMAIL_MISMATCH         = 'EMAIL_MISMATCH';
		const PHONE_MISMATCH         = 'PHONE_MISMATCH';
		const ENTER_PHONE            = 'ENTER_PHONE';
		const ENTER_EMAIL            = 'ENTER_EMAIL';
		const ENTER_PHONE_CODE       = 'ENTER_PHONE_CODE';
		const ENTER_EMAIL_CODE       = 'ENTER_EMAIL_CODE';
		const ENTER_VERIFY_CODE      = 'ENTER_VERIFY_CODE';
		const PHONE_VALIDATION_MSG   = 'PHONE_VALIDATION_MSG';
		const WC_CHOOSE_METHOD       = 'WC_CHOOSE_METHOD';
		const WC_CHECKOUT_CHOOSE     = 'WC_CHECKOUT_CHOOSE';
		const ENTER_PHONE_DEFAULT    = 'ENTER_PHONE_DEFAULT';
		const WP_CHOOSE_METHOD       = 'WP_CHOOSE_METHOD';
		const PASS_LENGTH            = 'PASS_LENGTH';
		const PASS_MISMATCH          = 'PASS_MISMATCH';
		const OTP_SENT               = 'OTP_SENT';
		const ERR_OTP                = 'ERR_OTP';
		const REG_SUCCESS            = 'REG_SUCCESS';
		const ACCOUNT_EXISTS         = 'ACCOUNT_EXISTS';
		const REG_COMPLETE           = 'REG_COMPLETE';
		const INVALID_OTP            = 'INVALID_OTP';
		const RESET_PASS             = 'RESET_PASS';
		const REQUIRED_FIELDS        = 'REQUIRED_FIELDS';
		const REQUIRED_OTP           = 'REQUIRED_OTP';
		const INVALID_SMS_OTP        = 'INVALID_SMS_OTP';
		const NEED_UPGRADE_MSG       = 'NEED_UPGRADE_MSG';
		const VERIFIED_LK            = 'VERIFIED_LK';
		const LK_IN_USE              = 'LK_IN_USE';
		const INVALID_LK             = 'INVALID_LK';
		const REG_REQUIRED           = 'REG_REQUIRED';
		const UNKNOWN_ERROR          = 'UNKNOWN_ERROR';
		const MO_REG_ENTER_PHONE     = 'MO_REG_ENTER_PHONE';
		const INVALID_OP             = 'INVALID_OP';
		const UPGRADE_MSG            = 'UPGRADE_MSG';
		const FREE_PLAN_MSG          = 'FREE_PLAN_MSG';
		const TRANS_LEFT_MSG         = 'TRANS_LEFT_MSG';
		const MO_PAYMENT             = 'MO_PAYMENT';
		const PHONE_NOT_FOUND        = 'PHONE_NOT_FOUND';
		const REGISTER_PHONE_LOGIN   = 'REGISTER_PHONE_LOGIN';
		const LOGIN_MISSING_KEY      = 'LOGIN_MISSING_KEY';
		const PHONE_EXISTS           = 'PHONE_EXISTS';
		const INVALID_USERNAME       = 'INVALID_USERNAME';
		const DEFAULT_SMS_TEMPLATE   = 'DEFAULT_SMS_TEMPLATE';
		const EMAIL_SUBJECT          = 'EMAIL_SUBJECT';
		const DEFAULT_EMAIL_TEMPLATE = 'DEFAULT_EMAIL_TEMPLATE';
		const INVALID_PHONE          = 'INVALID_PHONE';
		const ERROR_SENDING_SMS      = 'ERROR_SENDING_SMS';
		const SMS_SENT_SUCCESS       = 'SMS_SENT_SUCCESS';
		const OTP_LENGTH_HEADER      = 'OTP_LENGTH_HEADER';
		const OTP_LENGTH_BODY        = 'OTP_LENGTH_BODY';
		const OTP_VALIDITY_HEADER    = 'OTP_VALIDITY_HEADER';
		const OTP_VALIDITY_BODY      = 'OTP_VALIDITY_BODY';
		const DEFAULT_BOX_HEADER     = 'DEFAULT_BOX_HEADER';
		const GO_BACK                = 'GO_BACK';
		const RESEND_OTP             = 'RESEND_OTP';
		const VALIDATE_OTP           = 'VALIDATE_OTP';
		const VERIFY_CODE            = 'VERIFY_CODE';
		const SEND_OTP               = 'SEND_OTP';
		const VALIDATE_PHONE_NUMBER  = 'VALIDATE_PHONE_NUMBER';
		const VERIFY_CODE_DESC       = 'VERIFY_CODE_DESC';
		const WC_BUTTON_TEXT         = 'WC_BUTTON_TEXT';
		const WC_POPUP_BUTTON_TEXT   = 'WC_POPUP_BUTTON_TEXT';
		const WC_LINK_TEXT           = 'WC_LINK_TEXT';
		const WC_EMAIL_TTLE          = 'WC_EMAIL_TTLE';
		const WC_PHONE_TTLE          = 'WC_PHONE_TTLE';
		const WC_BILLING_CHOOSE      = 'WC_BILLING_CHOOSE';
		const EMAIL_EXISTS           = 'EMAIL_EXISTS';
		const INSTALL_PREMIUM_PLUGIN = 'INSTALL_PREMIUM_PLUGIN';

		const NEW_CUSTOMER_NOTIF_HEADER     = 'NEW_CUSTOMER_NOTIF_HEADER';
		const NEW_CUSTOMER_NOTIF_BODY       = 'NEW_CUSTOMER_NOTIF_BODY';
		const NEW_CUSTOMER_SMS_WITH_PASS    = 'NEW_CUSTOMER_SMS_WITH_PASS';
		const NEW_CUSTOMER_SMS              = 'NEW_CUSTOMER_SMS';
		const CUSTOMER_NOTE_NOTIF_HEADER    = 'CUSTOMER_NOTE_NOTIF_HEADER';
		const CUSTOMER_NOTE_NOTIF_BODY      = 'CUSTOMER_NOTE_NOTIF_BODY';
		const CUSTOMER_NOTE_SMS             = 'CUSTOMER_NOTE_SMS';
		const NEW_ORDER_NOTIF_HEADER        = 'NEW_ORDER_NOTIF_HEADER';
		const NEW_ORDER_NOTIF_BODY          = 'NEW_ORDER_NOTIF_BODY';
		const ADMIN_STATUS_SMS              = 'ADMIN_STATUS_SMS';
		const ORDER_ON_HOLD_NOTIF_HEADER    = 'ORDER_ON_HOLD_NOTIF_HEADER';
		const ORDER_ON_HOLD_NOTIF_BODY      = 'ORDER_ON_HOLD_NOTIF_BODY';
		const ORDER_ON_HOLD_SMS             = 'ORDER_ON_HOLD_SMS';
		const ORDER_PROCESSING_NOTIF_HEADER = 'ORDER_PROCESSING_NOTIF_HEADER';
		const ORDER_PROCESSING_NOTIF_BODY   = 'ORDER_PROCESSING_NOTIF_BODY';
		const PROCESSING_ORDER_SMS          = 'PROCESSING_ORDER_SMS';
		const ORDER_COMPLETED_NOTIF_HEADER  = 'ORDER_COMPLETED_NOTIF_HEADER';
		const ORDER_COMPLETED_NOTIF_BODY    = 'ORDER_COMPLETED_NOTIF_BODY';
		const ORDER_COMPLETED_SMS           = 'ORDER_COMPLETED_SMS';
		const ORDER_REFUNDED_NOTIF_HEADER   = 'ORDER_REFUNDED_NOTIF_HEADER';
		const ORDER_REUNDED_NOTIF_BODY      = 'ORDER_REUNDED_NOTIF_BODY';
		const ORDER_REFUNDED_SMS            = 'ORDER_REFUNDED_SMS';
		const ORDER_CANCELLED_NOTIF_HEADER  = 'ORDER_CANCELLED_NOTIF_HEADER';
		const ORDER_CANCELLED_NOTIF_BODY    = 'ORDER_CANCELLED_NOTIF_BODY';
		const ORDER_CANCELLED_SMS           = 'ORDER_CANCELLED_SMS';
		const ORDER_FAILED_NOTIF_HEADER     = 'ORDER_FAILED_NOTIF_HEADER';
		const ORDER_FAILED_NOTIF_BODY       = 'ORDER_FAILED_NOTIF_BODY';
		const ORDER_FAILED_SMS              = 'ORDER_FAILED_SMS';
		const ORDER_PENDING_NOTIF_HEADER    = 'ORDER_PENDING_NOTIF_HEADER';
		const ORDER_PENDING_NOTIF_BODY      = 'ORDER_PENDING_NOTIF_BODY';
		const ORDER_PENDING_SMS             = 'ORDER_PENDING_SMS';
		const FORGOT_PASSWORD_MESSAGE       = 'FORGOT_PASSWORD_MESSAGE';
		const REGISTRATION_ERROR            = 'REGISTRATION_ERROR';
		const REMAINING_TRANSACTION_MSG     = 'REMAINING_TRANSACTION_MSG';
		const ENTERPRIZE_EMAIL              = 'ENTERPRIZE_EMAIL';
		const REQUIRED_TAGS                 = 'REQUIRED_TAGS';
		const TEMPLATE_SAVED                = 'TEMPLATE_SAVED';

	}
}
