<?php
/**
 * Load admin view for Licensing Tab.
 *
 * @package miniorange-order-notifications-woocommerce/views
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}

use WCSMSOTP\Helper\MoConstants;
use WCSMSOTP\Helper\MoMessages;
use WCSMSOTP\Helper\MoUtility;


$circle_icon = '
    <svg class="min-w-[8px] min-h-[8px]" width="8" height="8" viewBox="0 0 18 18" fill="none">
            <circle id="a89fc99c6ce659f06983e2283c1865f1" cx="9" cy="9" r="7" stroke="rgb(99 102 241)" stroke-width="4"></circle>
        </svg>
    ';

echo '
    <div class="w-full">

		<div class="mowc-header h-full">
			<p class="mowc-heading flex-1">Plans &amp; Pricing</p>
		</div>

        <div class="mowc-section">
            
            <div class="grid grid-cols-pricingPlans duration-150">

                <div class="mowc-section border-r flex flex-col" >
                    <div>
                        <h5 class="mowc-display small">WC Notifications with miniOrange Gateway</h5>
                        <div class="h-mowc-14 my-mowc-3 mowc-alert mowc-success">
                            <p>10 Free SMS & Emails</p>
                        </div>
                    </div>

                    <ul id="mowc-gateway-features" class="mowc-features">
                         <li class="feature-snippet">
                          <span class="mt-mo-1">' . wp_kses( $circle_icon, MoUtility::mowc_allow_svg_array() ) . '</span>
                          <p class="m-mo-0 font-bold">Miniorange SMS Gateway</p>
                         </li> 

                        <li class="feature-snippet">
                            <span class="mt-mo-1">' . wp_kses( $circle_icon, MoUtility::mowc_allow_svg_array() ) . '</span>
                            <p class="m-mo-0">Woocommerce Order Notifications</p>
                        </li>

                        <li class="feature-snippet">
                            ' . wp_kses( $circle_icon, MoUtility::mowc_allow_svg_array() ) . '
                            <p class="m-mo-0">Passwordless Login</p>
                        </li>

                        <li class="feature-snippet">
                            <span class="mt-mo-1">' . wp_kses( $circle_icon, MoUtility::mowc_allow_svg_array() ) . '</span>
                            <p class="m-mo-0">Login with Phone</p>
                        </li> 

                        <li class="feature-snippet">
                            <span class="mt-mo-1">' . wp_kses( $circle_icon, MoUtility::mowc_allow_svg_array() ) . '</span>
                            <p class="m-mo-0">Login with Email address.</p>
                        </li>
                        

                        <li class="feature-snippet">
                            <span class="mt-mo-1">' . wp_kses( $circle_icon, MoUtility::mowc_allow_svg_array() ) . '</span>
                            <p class="m-mo-0">OTP Verification on Woocommerce Login, Registration Forms supported</p>
                        </li>


                        <li class="feature-snippet">
                        <p class="border rounded-smooth p-mowc-4 bg-slate-50 text-xs">
                        <span><b>Note:</b> Country based SMS Pricing starting from 0.01 USD. To check country wise pricing click here: <a href="https://login.xecurify.com/moas/initializepayment" target="_blank" style="color:#1261d8">Pricing</a></span></p>
                    </li>
                        
                        <span class="flex-1"></span>
                        <button id="see-pricing-btn" class="mt-mowc-4 w-full mowc-button primary" onclick="mowc_upgradeform(\'wp_otp_verification_basic_plan\')">Check Pricing & Recharge</button>                         
                    </ul>
                    
                </div>

                <div class="mowc-section border-r flex flex-col" >
                    <div>
                       <div class="flex items-center gap-mowc-2">
                           <h5 class="mowc-display small">WC Notifications with Custom Gateway</h5>
                        </div>
                        <div class="h-mowc-14 my-mowc-3 flex items-center">
                            <h2 class="mowc-display small">$49</h2><span style="font-size:1rem; margin-top:2%"><i>/Year</i></span>
                        </div>
                    </div>
                
                <ul id="mowc-gateway-features" class="mowc-features">
                    <li class="feature-snippet">
                        ' . wp_kses( $circle_icon, MoUtility::mowc_allow_svg_array() ) . '
                        <p class="m-mo-0 font-bold">All features from Free Plan</p>
                    </li>

                    <li class="feature-snippet">
                        <span class="mt-mo-1">' . wp_kses( $circle_icon, MoUtility::mowc_allow_svg_array() ) . '</span>
                        <p class="m-mo-0 font-bold">Custom SMTP/HTTP SMS Gateway Supported</p>
                    </li>

                    <li class="feature-snippet">
                        <span class="mt-mo-1">' . wp_kses( $circle_icon, MoUtility::mowc_allow_svg_array() ) . '</span>
                        <p class="m-mo-0">Twillio, MSG91 Gateway Supported</p>
                    </li>


                    <li class="feature-snippet">
                        ' . wp_kses( $circle_icon, MoUtility::mowc_allow_svg_array() ) . '
                        <p class="m-mo-0">OTP Over Call with Twilio</p>
                    </li>

                    <li class="feature-snippet">
                        ' . wp_kses( $circle_icon, MoUtility::mowc_allow_svg_array() ) . '
                        <p class="m-mo-0">WooCommerce Order Notifications</p>
                    </li>

                    <li class="feature-snippet">
                        <span class="mt-mo-1">' . wp_kses( $circle_icon, MoUtility::mowc_allow_svg_array() ) . '</span>
                        <p class="m-mo-0">Woocommerce Stock Notifications</p>
                    </li> 

                    
                    <span class="flex-1"></span>  
                    <a><span class="mt-mowc-4 w-full mowc-button primary" onClick="otpSupportOnClickWC(\'Hi! I am interested in WC Notifications with Custom Gateway Plan. Please provide me with the plugin. \');">
                        ' . esc_html( mowc_( 'Select' ) ) . '
                    </span>
                    </a>
                </ul>
                </div>


                <div class="mowc-section border-r flex flex-col" >
                    <div>
                       <div class="flex items-center gap-mowc-2">
                           <h5 class="mowc-display small">WC Notifications Premium</h5>
                        </div>
                        <br>
                        <div class="h-mowc-14 my-mowc-3 flex items-center">
                            <h2 class="mowc-display small">$149</h2><span style="font-size:1rem; margin-top:2%"><i>/Year</i></span>
                        </div>
                    </div>
            
                <ul id="mowc-gateway-features" class="mowc-features">
                    <li class="feature-snippet">
                        ' . wp_kses( $circle_icon, MoUtility::mowc_allow_svg_array() ) . '
                        <p class="m-mo-0 font-bold">All features from Custom gateway Plan</p>
                    </li>

                    <li class="feature-snippet">
                        <span class="mt-mo-1">' . wp_kses( $circle_icon, MoUtility::mowc_allow_svg_array() ) . '</span>
                        <p class="m-mo-0 font-bold">Twilio, MSG91, AWS SNS Gateway Supported </p>
                    </li>


                    <li class="feature-snippet">
                        ' . wp_kses( $circle_icon, MoUtility::mowc_allow_svg_array() ) . '
                        <p class="m-mo-0">OTP Verification on WooCommerce Forms supported</p>
                    </li>

                    <li class="feature-snippet">
                        ' . wp_kses( $circle_icon, MoUtility::mowc_allow_svg_array() ) . '
                        <p class="m-mo-0">Premium Tags Supported</p>
                    </li>

                    <li class="feature-snippet">
                        <span class="mt-mo-1">' . wp_kses( $circle_icon, MoUtility::mowc_allow_svg_array() ) . '</span>
                        <p class="m-mo-0">OTP verification on WCFM form</p>
                    </li> 
                    
                    <li class="feature-snippet">
                        <span class="mt-mo-1">' . wp_kses( $circle_icon, MoUtility::mowc_allow_svg_array() ) . '</span>
                        <p class="m-mo-0">WCFM Vendor Notifications</p>
                    </li> 

                    <li class="feature-snippet">
                        <span class="mt-mo-1">' . wp_kses( $circle_icon, MoUtility::mowc_allow_svg_array() ) . '</span>
                        <p class="m-mo-0">OTP verification on Checkout WC Form</p>
                    </li> 

                    <li class="feature-snippet">
                        <span class="mt-mo-1">' . wp_kses( $circle_icon, MoUtility::mowc_allow_svg_array() ) . '</span>
                        <p class="m-mo-0">WooCommerce Password Reset form</p>
                    </li> 

                    <li class="feature-snippet">
                        <span class="mt-mo-1">' . wp_kses( $circle_icon, MoUtility::mowc_allow_svg_array() ) . '</span>
                        <p class="m-mo-0">Start-to-end Order Status Updates over SMS</p>
                    </li>

                    
                    <span class="flex-1"></span>  
                    <a class="mt-mowc-4 w-full mowc-button primary" onclick="mowc_upgradeform(\'wp_email_verification_intranet_woocommerce_plan\')">Select</a>                         
                </ul>
                </div>

            </div>
        
            <div class="mowc-alert w-max mowc-error">
            <span>*We support HTTP API based or SDK based gateways. Contact us at <a href="mailto:info@xecurify.com"><b style="color:#1261d8">info@xecurify.com</b></a> to check the compatibility of your gateway with the plugin.</span>
            </div>
        </div>

    </div>
    <form style="display:none;" id="mocf_loginform" action="' . esc_url( $form_action ) . '" target="_blank" method="post">
        <input type="email" name="username" value="' . esc_attr( $email ) . '" />
        <input type="text" name="redirectUrl" value="' . esc_url( $redirect_url ) . '" />
        <input type="text" name="requestOrigin" id="requestOrigin"  />
    </form>
    <script>
        const mowcSMSPricing = document.getElementById("mowc-sms-pricing");
        const mowcGatewayFeatures = document.getElementById("mowc-gateway-features");

        const seePricingBtn = document.getElementById("see-pricing-btn");
        const backtoFeaturesBtn = document.getElementById("backto-features-btn");

        mowcSMSPricing.style.display = "none";

        seePricingBtn.addEventListener("click",(e)=>{
            mowcGatewayFeatures.style.display = "none";
            mowcSMSPricing.style.display = "block";
        });

        backtoFeaturesBtn.addEventListener("click",(e)=>{
            mowcGatewayFeatures.style.display = "flex";
            mowcSMSPricing.style.display = "none";
        });

        function mowc_upgradeform(planType){
            jQuery("#requestOrigin").val(planType);
            jQuery("#mocf_loginform").submit();
        }

    </script>
';
